<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>
<configuration>
    <!-- 导入安心筑全局日志配置 -->
    <include resource="logback/logback-axzo.xml" />
    <!-- 覆盖开发环境日志配置 -->
    <springProfile name="local,dev">
        <logger name="cn.axzo" level="INFO" />
    </springProfile>

    <appender name="XXL-JOB" class="cn.axzo.msg.center.notices.client.util.XxlAppender">
        <layout class="org.apache.skywalking.apm.toolkit.log.logback.v1.x.TraceIdPatternLogbackLayout">
            <pattern>${PATTERN_FILE}</pattern>
        </layout>
    </appender>

    <!-- 禁用这个日志, 输出些没鸟用的信息 -->
    <logger name="cn.axzo.trade.datasecurity.mybatisplus.interceptor.MybatisPlusCryptInterceptor" level="OFF" />

    <root level="INFO">
        <appender-ref ref="XXL-JOB"/>
    </root>

</configuration>